Subject: bug#5721: Feature request: Function that returns absolute coordinates

From: Jan Djärv <[email-masked]>
Date: Thu, 15 Jul 2010 10:35:47 +0200

YAMAMOTO Mitsuharu skrev 2010-07-15 10.18:
>>>>>> On Thu, 15 Jul 2010 10:06:22 +0200, Jan Djärv<[email-masked]>  said:
>
>>>> I think your "only" is quite big.  Lots of code, C and Lisp, does
>>>> that kind of calculation.
>>>
>>> In what sense can they be simplified if we used absolute scaled
>>> coordinate in Lisp as you say?
>
>> Then they wouldn't need to be changed at all.
>
> Even with absolute unscaled, they DIDN'T need any changes in the
> platform independent part.

That would require unscaled everywhere, even in pos-x-y, window sizes, font 
sizes and so on.  I didin't think that was your suggestion.

>
>>> Window system APIs requires us to specify absolute unscaled
>>> coordinates when creating windows or popup menus, so some
>>> conversions are necessary anyway.
>
>> That is the job of the platform specific code.
>
> So you agree that changes are necessary in the platform specific part
> regardless of scaled or unscaled when we support scaling factor?
>

I've said that from the start.

> Again, if we used absolute scaled coordinates to specify `left' and
> `top' frame parameters, we could only place the frame to the position
> whose coordinates are multiples of the scale factor.
>

As I said earlier, special functions to deal with that for those that care.

	Jan D.